unit GoToLine;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm2 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses Main;

{$R *.DFM}

procedure TForm2.Button1Click(Sender: TObject);
var
 error: boolean;
begin
 error := false;

 try
   StrToInt(Edit1.Text);
 except
   on EConvertError do
     begin
     error := true;
     MessageDlg(''' ' + Edit1.Text + ''' is not a valid integer value',mtError,[mbOK],0);
     Edit1.Text := '';
     Edit1.SetFocus;
     end;
 end;

 if not error then
   begin
   frmPrincipal.Editor.SelStart := SendMessage(frmPrincipal.Editor.Handle,
                                                      EM_LINEINDEX,
                                                      StrToInt(Edit1.Text) - 1,
                                                      0);
   Close;
   frmPrincipal.Editor.SetFocus;
   end;
end;


procedure TForm2.FormShow(Sender: TObject);
begin
        edit1.SetFocus;
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
    Close;
end;

end.
