unit ListaMp3;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Multimedia,MyMPlayer;

type
  TfrmListaMultimedia = class(TForm)
    ListBox1: TListBox;
    OpenDialog1: TOpenDialog;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure ListBox1DblClick(Sender: TObject);
    procedure GravarMarcas(FileName: String; cb: TStringList);
    function IDOfObject(FileName: String):TMultimedia;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmListaMultimedia: TfrmListaMultimedia;

implementation
   uses Main;
{$R *.DFM}


procedure TfrmListaMultimedia.BitBtn1Click(Sender: TObject);
var
   media : TMultimedia;
   marcas: TStringList;
   i     : Integer;
begin
    if OpenDialog1.Execute
    then
    begin
        for i:=0 to OpenDialog1.Files.Count -1 do
        begin
           media:=TMultimedia.Create;
           marcas :=TStringList.Create;
           media.setFileName(OpenDialog1.Files.Strings[i]);
           media.setTipo('AUDIO');
           media.setMarcas(marcas);
           ListBox1.Items.AddObject(ExtractFileName(OpenDialog1.Files.Strings[i])
                                                    ,media);
       end;
    end;
end;

procedure TfrmListaMultimedia.BitBtn2Click(Sender: TObject);
var
   selectFile,tmp : String;
   index : Integer;
begin
    Try
     frmPrincipal.MediaStopExecute(Sender);
     //frmPrincipal.MediaPlayer1.Stop;
     //frmPrincipal.MediaPlayer1.Close;
     index:=listBox1.ItemIndex;
     selectFile:=listBox1.Items.Strings[index];
     listBox1.Items.Delete(index);
     listBox1.Refresh;
     //tmp:=format('%s\n%s',[selectFile,frmPrincipal.AudioFile]);
     //messagedlg(tmp,mterror,[mbok],0);
     //if(selectFile = frmPrincipal.AudioFile )
     //then
         frmPrincipal.AudioFile := '';
    Except
        On E: Exception do
           messagedlg('Seleccione um item primeiro',mtError,[mbOk],0);
    end;

end;

procedure TfrmListaMultimedia.BitBtn3Click(Sender: TObject);
begin
     frmPrincipal.MediaStopExecute(Sender);
     frmPrincipal.AudioFile := '';
     ListBox1.Clear;
end;

function TfrmListaMultimedia.IDOfObject(FileName: String):TMultimedia;
var
   i     : Integer;
   media : TMultimedia;
begin
   i:=0;
   media:=nil;
   while (i<ListBox1.Items.count) do
   begin
        media:=TMultimedia(ListBox1.Items.Objects[i]);
        if media.getFileName = FileName
        then
          begin  IDOfObject:=media;
                 i:=ListBox1.Items.Count;
          end;
         inc(i);
   end;

end;

procedure TfrmListaMultimedia.GravarMarcas(FileName: String; cb: TStringList);
var
   media : TMultimedia;
   novaSL: TStringList;
   i     : Integer;
begin
    novaSL:=TStringList.Create;
    // Clone da Lista
    for i:=0 to cb.Count -1 do
        novaSL.AddObject(cb.Strings[i],cb.Objects[i]);
    media:=IDOfObject(FileName);
    media.setMarcas(novaSL);
end;

procedure TfrmListaMultimedia.ListBox1DblClick(Sender: TObject);
var
    index    : Integer;
    media    : TMultimedia;
begin
    index:=ListBox1.ItemIndex;

    media:=TMultimedia(ListBox1.Items.Objects[index]);
    if Main.frmPrincipal.AudioFile <> media.getFileName
    then
    begin
      if Main.frmPrincipal.AudioFile <> ''
      then
          GravarMarcas(Main.frmPrincipal.AudioFile,
                        TStringList(Main.frmPrincipal.ComboBox1.items));
      Main.frmPrincipal.MyMediaPlayer1.FileName:=media.getFileName;
      Main.frmPrincipal.ComboBox1.Clear;
      Main.frmPrincipal.ComboBox1.items:=TStrings(media.getMarcas());
      {ext:=ExtractFileName(media.FileName);
      posicao:=Pos('.',ext);
      ext:=copy(ext,posicao+1,3);
      if ext='cda' then
          Main.frmPrincipal.MediaPlayer1.DeviceType:=dtCDAudio
      else if ext='mp3' then
          Main.frmPrincipal.MediaPlayer1.DeviceType:=dtAutoSelect
      else if ext='wav' then
           Main.frmPrincipal.MediaPlayer1.DeviceType := dtWaveAudio; }

      Main.frmPrincipal.MyMediaPlayer1.DeviceType:=dtAutoSelect;

      //Main.frmPrincipal.MediaPlayer1.DeviceType := dtMMMovie;
      Main.frmPrincipal.MyMediaPlayer1.Open;
      Main.frmPrincipal.MyMediaPlayer1.Play;
      Main.frmPrincipal.Editor.SetFocus;
      
      { AudioFile variavel global que guarda o nome do media }
      Main.frmPrincipal.AudioFile:=media.getFileName;
      Main.frmPrincipal.LastDir:=ExtractFilePath(media.getFileName);
      { Define a trackbar para o Media aberto }
      Main.frmPrincipal.TrackBar1.Max :=Main.frmPrincipal.MyMediaPlayer1.Length;
      Main.frmPrincipal.TrackBar1.Frequency :=500;
      Main.frmPrincipal.Timer1.Enabled :=true;

    end;
    //frmListaMultimedia.Close;
end;

end.
