unit Multimedia;

interface
  uses stdctrls,classes;
  type
    TMultimedia = class(TObject)
        FileName : String;
        Marcas   : TStringList;
        Tipo     : String;    { Audio, Video, etc }
        Formato  : String;    { Mpeg III Layer XX, ... }

        constructor Create();overload;
        constructor Create(FileName: String; Marcas: TStringList;
                            Tipo, Formato : String );overload;
        function getFileName():String;
        function getMarcas():TStringList;
        function getTipo():String;
        function getFormato():String;
        procedure setFileName(FileName: String);
        procedure setMarcas(Marcas : TStringList);
        procedure setTipo(Tipo: String);
        procedure setFormato(Formato: String);

    end;



implementation

  constructor TMultimedia.Create();
  begin
        self.FileName:='';
        self.Marcas:=TStringList.Create;
        self.Tipo:='';
        self.Formato:='';
  end;

  constructor TMultimedia.Create(FileName: String; Marcas: TStringList;
                                 Tipo, Formato : String);
  begin
        self.FileName:=FileName;
        self.Marcas :=Marcas;
        self.Tipo:=Tipo;
        self.Formato:=Formato;
  end;

  function TMultimedia.getFileName():String;
  begin
        getFileName:=self.FileName;
  end;

  procedure TMultimedia.setFileName(FileName: String);
  begin
        self.FileName:=FileName;
  end;

  function TMultimedia.getMarcas():TStringList;
  begin
        getMarcas:=self.Marcas;
  end;

  procedure TMultimedia.setMarcas(Marcas: TStringList);
  begin
        self.Marcas := Marcas;
  end;

  function TMultimedia.getTipo():String;
  begin
        getTipo:=self.Tipo;
  end;

  procedure TMultimedia.setTipo(Tipo: String);
  begin
        self.Tipo:=Tipo;
  end;

  function TMultimedia.getFormato():String;
  begin
        getFormato:=self.Formato;
  end;

  procedure TMultimedia.setFormato(Formato: String);
  begin
        self.Formato:=Formato;
  end;

end.
